# Uses of Interface
org.opensaml.saml.saml1.core.AssertionArtifact

Packages that use AssertionArtifact
Package
Description
org.opensaml.saml.saml1.core
Interfaces for SAML 1.0 and 1.1 types and elements.
org.opensaml.saml.saml1.core.impl
Implementations of SAML 1.x core specification types and elements.

## Uses of AssertionArtifact in org.opensaml.saml.saml1.core

Methods in org.opensaml.saml.saml1.core that return types with arguments of type AssertionArtifact
Modifier and Type
Method
Description
`List<AssertionArtifact>`
Request.`getAssertionArtifacts()`
Get the list of artifacts.

## Uses of AssertionArtifact in org.opensaml.saml.saml1.core.impl

Classes in org.opensaml.saml.saml1.core.impl that implement AssertionArtifact
Modifier and Type
Class
Description
`class`
`AssertionArtifactImpl`
Concrete implementation of `AssertionArtifact`.
Fields in org.opensaml.saml.saml1.core.impl with type parameters of type AssertionArtifact
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<AssertionArtifact>`
RequestImpl.`assertionArtifacts`
The List of AssertionArtifacts.
Methods in org.opensaml.saml.saml1.core.impl that return AssertionArtifact
Modifier and Type
Method
Description
`AssertionArtifact`
AssertionArtifactBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`AssertionArtifact`
AssertionArtifactBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.saml.saml1.core.impl that return types with arguments of type AssertionArtifact
Modifier and Type
Method
Description
`List<AssertionArtifact>`
RequestImpl.`getAssertionArtifacts()`
Get the list of artifacts.